Subject: [Mgs] TD build

From: Rick Lindsay <[email-masked]>
Date: Wed, 13 Nov 2013 07:14:04 -0600

Hi Friends,

All engine work/tuning on my TD is on hold until my distributor gets rebuilt. Timing jumps around as much as +/- 8-10 degrees! The shaft 'feels' okay but the advance mechanism is really worn and loose. I'll do a compression test but done on a cold engine is less than ideal. I'll report the numbers here.B 

As I reported earlier, the wings, running boards and aprons are at the painter. Expected turn-around is about 7-10 days. Cost is quite reasonable.B 

I believe it time to pull out the old seats and prepare them for new upholstery. B It will be a refreshing change.B 

-rick
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]